# easybuild

EasyBuild is a software build and installation framework that allows you to manage software in an efficient way: (http://easybuild.readthedocs.io/en/latest/Introduction.html). This repo provides additional easyconfigs for ELIC ecosystem

## Requirements

* openSUSE : `gcc-c++ patch libopenssl-devel`

## Getting started

Check if you have the lastest easybuild version:

```bash
sudo pip install easybuild --upgrade
```

Then call `screen` and :
* `eb iccifort-2018.0.128-GCC-6.4.0-2.28.eb -r`
* `eb NCL-6.4.0-intel-2018.eb -r`
* `eb CDO-1.8.1-intel-2018.eb -r`
* `eb ncview-2.1.7-intel-2018.eb -r`
* `eb NCO-4.6.6-intel-2018.eb -r`
* `eb R-3.4.1-intel-2018.eb -r`
* `eb GDAL-2.2.0-intel-2018-Python-3.6.1.eb -r`
